# Interface methods for submodule: MultiResolutionPDEDeformableRegistration
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MultiResolutionPDEDeformableRegistration
class MultiResolutionPDEDeformableRegistrationProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetFixedImage(self, ptr) -> None:
		""""""
		...

	def GetFixedImage(self):
		""""""
		...

	def SetMovingImage(self, ptr) -> None:
		""""""
		...

	def GetMovingImage(self):
		""""""
		...

	def SetInitialDisplacementField(self, ptr) -> None:
		""""""
		...

	def SetArbitraryInitialDisplacementField(self, ptr) -> None:
		""""""
		...

	def GetDisplacementField(self):
		""""""
		...

	def GetNumberOfValidRequiredInputs(self) -> int:
		""""""
		...

	def SetRegistrationFilter(self, _arg) -> None:
		""""""
		...

	def GetModifiableRegistrationFilter(self):
		""""""
		...

	def GetRegistrationFilter(self):
		""""""
		...

	def SetFixedImagePyramid(self, _arg) -> None:
		""""""
		...

	def GetModifiableFixedImagePyramid(self):
		""""""
		...

	def GetFixedImagePyramid(self):
		""""""
		...

	def SetMovingImagePyramid(self, _arg) -> None:
		""""""
		...

	def GetModifiableMovingImagePyramid(self):
		""""""
		...

	def GetMovingImagePyramid(self):
		""""""
		...

	def SetNumberOfLevels(self, num: int) -> None:
		""""""
		...

	def GetNumberOfLevels(self) -> int:
		""""""
		...

	def GetCurrentLevel(self) -> int:
		""""""
		...

	def SetFieldExpander(self, _arg) -> None:
		""""""
		...

	def GetModifiableFieldExpander(self):
		""""""
		...

	def GetFieldExpander(self):
		""""""
		...

	@overload
	def SetNumberOfIterations(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetNumberOfIterations(self, data) -> None:
		""""""
		...

	def GetNumberOfIterations(self) -> Sequence[int]:
		""""""
		...

	def StopRegistration(self) -> None:
		""""""
		...

